log4cplus::spi::InternalLoggingEvent Class Reference

The internal representation of logging events. More...

`#include <loggingevent.h>`

## Public Member Functions

| InternalLoggingEvent (const log4cplus::tstring &logger, LogLevel loglevel, const log4cplus::tstring &message, const char *filename, int line, const char *function=nullptr)
| Instantiate a LoggingEvent from the supplied parameters.
| InternalLoggingEvent (const log4cplus::tstring &logger, LogLevel loglevel, const log4cplus::tstring &ndc, MappedDiagnosticContextMap const &mdc, const log4cplus::tstring &message, const log4cplus::tstring &thread, log4cplus::helpers::Time time, const log4cplus::tstring &file, int line, const log4cplus::tstring &function=log4cplus::tstring()) LOG4CPLUS_ATTRIBUTE_DEPRECATED
| InternalLoggingEvent (const log4cplus::tstring &logger, LogLevel loglevel, const log4cplus::tstring &ndc, MappedDiagnosticContextMap const &mdc, const log4cplus::tstring &message, const log4cplus::tstring &thread, const log4cplus::tstring &thread2, log4cplus::helpers::Time time, const log4cplus::tstring &file, int line, const log4cplus::tstring &function=log4cplus::tstring())
| InternalLoggingEvent ()
| InternalLoggingEvent (const log4cplus::spi::InternalLoggingEvent &rhs)
virtual | ~InternalLoggingEvent ()
void | setLoggingEvent (const log4cplus::tstring &logger, LogLevel ll, const log4cplus::tstring &message, const char *filename, int line, const char *function=nullptr)
void | setFunction (char const *func)
void | setFunction (log4cplus::tstring const &)
virtual const log4cplus::tstring & | getMessage () const
| The application supplied message of logging event.
virtual unsigned int | getType () const
| Returns the 'type' of InternalLoggingEvent.
virtual std::unique_ptr< InternalLoggingEvent > | clone () const
| Returns a copy of this object.
const log4cplus::tstring & | getLoggerName () const
| The logger of the logging event.
LogLevel | getLogLevel () const
| LogLevel of logging event.
const log4cplus::tstring & | getNDC () const
| The nested diagnostic context (NDC) of logging event.
MappedDiagnosticContextMap const & | getMDCCopy () const
tstring const & | getMDC (tstring const &key) const
const log4cplus::tstring & | getThread () const
| The name of thread in which this logging event was generated.
const log4cplus::tstring & | getThread2 () const
const log4cplus::helpers::Time & | getTimestamp () const
| Time stamp when the event was created.
const log4cplus::tstring & | getFile () const
| The is the file where this log statement was written.
int | getLine () const
| The is the line where this log statement was written.
log4cplus::tstring const & | getFunction () const
void | gatherThreadSpecificData () const
void | swap (InternalLoggingEvent &)
log4cplus::spi::InternalLoggingEvent & | operator= (const log4cplus::spi::InternalLoggingEvent &rhs)

## Static Public Member Functions

static unsigned int | getDefaultType ()

## Protected Attributes

log4cplus::tstring | message
log4cplus::tstring | loggerName
LogLevel | ll
log4cplus::tstring | ndc
MappedDiagnosticContextMap | mdc
log4cplus::tstring | thread
log4cplus::tstring | thread2
log4cplus::helpers::Time | timestamp
log4cplus::tstring | file
log4cplus::tstring | function
int | line
bool | threadCached
| Indicates whether or not the Threadname has been retrieved.
bool | thread2Cached
bool | ndcCached
| Indicates whether or not the NDC has been retrieved.
bool | mdcCached
| Indicates whether or not the MDC has been retrieved.

## Detailed Description

The internal representation of logging events.

When an affirmative decision is made to log then a `InternalLoggingEvent` instance is created. This instance is passed around to the different log4cplus components.

This class is of concern to those wishing to extend log4cplus.

Definition at line 51 of file loggingevent.h.

## Constructor & Destructor Documentation

## InternalLoggingEvent() [1/5]

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | loglevel,
|  | const log4cplus::tstring & | message,
|  | const char * | filename,
|  | int | line,
|  | const char * | function = nullptr )

Instantiate a LoggingEvent from the supplied parameters.

Parameters

  logger | The logger of this event.
  loglevel | The LogLevel of this event.
  message | The message of this event.
  filename | Name of file where this event has occurred, can be NULL.
  line | Line number in file specified by the `filename` parameter.
  function | Name of function that is logging this event.

References function, line, and message.

Referenced by clone(), InternalLoggingEvent(), InternalLoggingEvent(), InternalLoggingEvent(), swap(), and ~InternalLoggingEvent().

## InternalLoggingEvent() [2/5]

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | loglevel,
|  | const log4cplus::tstring & | ndc,
|  | MappedDiagnosticContextMap const & | mdc,
|  | const log4cplus::tstring & | message,
|  | const log4cplus::tstring & | thread,
|  | log4cplus::helpers::Time | time,
|  | const log4cplus::tstring & | file,
|  | int | line,
|  | const log4cplus::tstring & | function = log4cplus::tstring() )

References file, function, line, LOG4CPLUS_ATTRIBUTE_DEPRECATED, mdc, message, ndc, and thread.

## InternalLoggingEvent() [3/5]

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | loglevel,
|  | const log4cplus::tstring & | ndc,
|  | MappedDiagnosticContextMap const & | mdc,
|  | const log4cplus::tstring & | message,
|  | const log4cplus::tstring & | thread,
|  | const log4cplus::tstring & | thread2,
|  | log4cplus::helpers::Time | time,
|  | const log4cplus::tstring & | file,
|  | int | line,
|  | const log4cplus::tstring & | function = log4cplus::tstring() )

References file, function, InternalLoggingEvent(), line, mdc, message, ndc, thread, and thread2.

## InternalLoggingEvent() [4/5]

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( |  | ) |

References InternalLoggingEvent().

## InternalLoggingEvent() [5/5]

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::spi::InternalLoggingEvent & | rhs | ) |

References InternalLoggingEvent().

## ~InternalLoggingEvent()

virtual log4cplus::spi::InternalLoggingEvent::~InternalLoggingEvent | ( |  | ) |

virtual

References InternalLoggingEvent().

## Member Function Documentation

## clone()

virtual std::unique_ptr< InternalLoggingEvent > log4cplus::spi::InternalLoggingEvent::clone | ( |  | ) | const

virtual

Returns a copy of this object.

Derived classes should override this method.

References clone(), and InternalLoggingEvent().

Referenced by clone().

## gatherThreadSpecificData()

void log4cplus::spi::InternalLoggingEvent::gatherThreadSpecificData | ( |  | ) | const

## getDefaultType()

unsigned int log4cplus::spi::InternalLoggingEvent::getDefaultType | ( |  | ) |

static

## getFile()

const log4cplus::tstring & log4cplus::spi::InternalLoggingEvent::getFile | ( |  | ) | const

inline

The is the file where this log statement was written.

Definition at line 190 of file loggingevent.h.

References file.

## getFunction()

log4cplus::tstring const & log4cplus::spi::InternalLoggingEvent::getFunction | ( |  | ) | const

inline

Definition at line 198 of file loggingevent.h.

References function.

## getLine()

int log4cplus::spi::InternalLoggingEvent::getLine | ( |  | ) | const

inline

The is the line where this log statement was written.

Definition at line 196 of file loggingevent.h.

References line.

## getLoggerName()

const log4cplus::tstring & log4cplus::spi::InternalLoggingEvent::getLoggerName | ( |  | ) | const

inline

The logger of the logging event.

It is set by the LoggingEvent constructor.

Definition at line 125 of file loggingevent.h.

References getLoggerName(), and loggerName.

Referenced by getLoggerName().

## getLogLevel()

LogLevel log4cplus::spi::InternalLoggingEvent::getLogLevel | ( |  | ) | const

inline

LogLevel of logging event.

Definition at line 131 of file loggingevent.h.

References ll.

## getMDC()

tstring const & log4cplus::spi::InternalLoggingEvent::getMDC | ( | tstring const & | key | ) | const

## getMDCCopy()

MappedDiagnosticContextMap const & log4cplus::spi::InternalLoggingEvent::getMDCCopy | ( |  | ) | const

inline

Definition at line 147 of file loggingevent.h.

References log4cplus::MDC::getContext(), log4cplus::getMDC(), mdc, and mdcCached.

## getMessage()

virtual const log4cplus::tstring & log4cplus::spi::InternalLoggingEvent::getMessage | ( |  | ) | const

virtual

The application supplied message of logging event.

References getMessage().

Referenced by getMessage().

## getNDC()

const log4cplus::tstring & log4cplus::spi::InternalLoggingEvent::getNDC | ( |  | ) | const

inline

The nested diagnostic context (NDC) of logging event.

Definition at line 137 of file loggingevent.h.

References log4cplus::NDC::get(), log4cplus::getNDC(), ndc, and ndcCached.

## getThread()

const log4cplus::tstring & log4cplus::spi::InternalLoggingEvent::getThread | ( |  | ) | const

inline

The name of thread in which this logging event was generated.

Definition at line 160 of file loggingevent.h.

References log4cplus::thread::getCurrentThreadName(), thread, and threadCached.

## getThread2()

const log4cplus::tstring & log4cplus::spi::InternalLoggingEvent::getThread2 | ( |  | ) | const

inline

The alternative name of thread in which this logging event was generated.

Definition at line 172 of file loggingevent.h.

References log4cplus::thread::getCurrentThreadName2(), thread2, and thread2Cached.

## getTimestamp()

const log4cplus::helpers::Time & log4cplus::spi::InternalLoggingEvent::getTimestamp | ( |  | ) | const

inline

Time stamp when the event was created.

Definition at line 184 of file loggingevent.h.

References timestamp.

## getType()

virtual unsigned int log4cplus::spi::InternalLoggingEvent::getType | ( |  | ) | const

virtual

Returns the 'type' of InternalLoggingEvent.

Derived classes should override this method. (NOTE: Values <= 1000 are reserved for log4cplus and should not be used.)

References getType().

Referenced by getType().

## operator=()

log4cplus::spi::InternalLoggingEvent & log4cplus::spi::InternalLoggingEvent::operator= | ( | const log4cplus::spi::InternalLoggingEvent & | rhs | ) |

## setFunction() [1/2]

void log4cplus::spi::InternalLoggingEvent::setFunction | ( | char const * | func | ) |

References setFunction().

Referenced by setFunction(), and setFunction().

## setFunction() [2/2]

void log4cplus::spi::InternalLoggingEvent::setFunction | ( | log4cplus::tstring const & |  | ) |

References setFunction().

## setLoggingEvent()

void log4cplus::spi::InternalLoggingEvent::setLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | ll,
|  | const log4cplus::tstring & | message,
|  | const char * | filename,
|  | int | line,
|  | const char * | function = nullptr )

References function, line, ll, message, and setLoggingEvent().

Referenced by setLoggingEvent().

## swap()

void log4cplus::spi::InternalLoggingEvent::swap | ( | InternalLoggingEvent & |  | ) |

References InternalLoggingEvent().

## Member Data Documentation

## file

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::file

protected

Definition at line 224 of file loggingevent.h.

Referenced by getFile(), InternalLoggingEvent(), and InternalLoggingEvent().

## function

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::function

protected

Definition at line 225 of file loggingevent.h.

Referenced by getFunction(), InternalLoggingEvent(), InternalLoggingEvent(), InternalLoggingEvent(), and setLoggingEvent().

## line

int log4cplus::spi::InternalLoggingEvent::line

protected

Definition at line 226 of file loggingevent.h.

Referenced by getLine(), InternalLoggingEvent(), InternalLoggingEvent(), InternalLoggingEvent(), and setLoggingEvent().

## ll

LogLevel log4cplus::spi::InternalLoggingEvent::ll

protected

Definition at line 218 of file loggingevent.h.

Referenced by getLogLevel(), and setLoggingEvent().

## loggerName

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::loggerName

protected

Definition at line 217 of file loggingevent.h.

Referenced by getLoggerName().

## mdc

MappedDiagnosticContextMap log4cplus::spi::InternalLoggingEvent::mdc

mutable protected

Definition at line 220 of file loggingevent.h.

Referenced by getMDCCopy(), InternalLoggingEvent(), and InternalLoggingEvent().

## mdcCached

bool log4cplus::spi::InternalLoggingEvent::mdcCached

mutable protected

Indicates whether or not the MDC has been retrieved.

Definition at line 233 of file loggingevent.h.

Referenced by getMDCCopy().

## message

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::message

protected

Definition at line 216 of file loggingevent.h.

Referenced by InternalLoggingEvent(), InternalLoggingEvent(), InternalLoggingEvent(), and setLoggingEvent().

## ndc

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::ndc

mutable protected

Definition at line 219 of file loggingevent.h.

Referenced by getNDC(), InternalLoggingEvent(), and InternalLoggingEvent().

## ndcCached

bool log4cplus::spi::InternalLoggingEvent::ndcCached

mutable protected

Indicates whether or not the NDC has been retrieved.

Definition at line 231 of file loggingevent.h.

Referenced by getNDC().

## thread

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::thread

mutable protected

Definition at line 221 of file loggingevent.h.

Referenced by getThread(), InternalLoggingEvent(), and InternalLoggingEvent().

## thread2

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::thread2

mutable protected

Definition at line 222 of file loggingevent.h.

Referenced by getThread2(), and InternalLoggingEvent().

## thread2Cached

bool log4cplus::spi::InternalLoggingEvent::thread2Cached

mutable protected

Definition at line 229 of file loggingevent.h.

Referenced by getThread2().

## threadCached

bool log4cplus::spi::InternalLoggingEvent::threadCached

mutable protected

Indicates whether or not the Threadname has been retrieved.

Definition at line 228 of file loggingevent.h.

Referenced by getThread().

## timestamp

log4cplus::helpers::Time log4cplus::spi::InternalLoggingEvent::timestamp

protected

Definition at line 223 of file loggingevent.h.

Referenced by getTimestamp().

The documentation for this class was generated from the following file:

- loggingevent.h